HaruPage::setTextLeading
HaruPage::setTextRenderingMode
HaruPage
PHP Manual

# HaruPage::setTextMatrix

(PECL haru >= 0.0.1)

HaruPage::setTextMatrix — Set the current text transformation matrix of the page

### Description

bool HaruPage::setTextMatrix ( float `$a` , float `$b` , float `$c` , float `$d` , float `$x` , float `$y` )

Defines the text transformation matrix of the page.

### Parameters

`a`

  Width multiplier.

`b`

  Vertical skew in radians.

`c`

  Horizontal skew in radians.

`d`

  Height multiplier.

`x`

  Horizontal position for text.

`y`

  Vertical position for text.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruPage::getTextMatrix() - Get the current text transformation matrix of the page

HaruPage::setTextLeading
HaruPage::setTextRenderingMode
HaruPage
PHP Manual